<?php
/**
 * @file
 * popsu_structure.features.inc
 */

/**
 * Implements hook_block_class_features_default_class().
 */
function popsu_structure_block_class_features_default_class() {
  return array(
    'menu:menu-popsu-menu-footer' => array(
      'module' => 'menu',
      'delta' => 'menu-popsu-menu-footer',
      'css_classes' => 'menu-footer menu-inline',
    ),
    'menu:menu-popus-menu-header' => array(
      'module' => 'menu',
      'delta' => 'menu-popus-menu-header',
      'css_classes' => 'span1 menu-header',
    ),
    'menu_block:1' => array(
      'module' => 'menu_block',
      'delta' => '1',
      'css_classes' => 'left-nav left-nav-level-2',
    ),
    'menu_block:2' => array(
      'module' => 'menu_block',
      'delta' => '2',
      'css_classes' => 'left-nav left-nav-level-0',
    ),
    'menu_block:3' => array(
      'module' => 'menu_block',
      'delta' => '3',
      'css_classes' => 'left-nav left-nav-level-1',
    ),
    'menu_block:4' => array(
      'module' => 'menu_block',
      'delta' => '4',
      'css_classes' => 'left-nav left-nav-level-1',
    ),
    'menu_block:5' => array(
      'module' => 'menu_block',
      'delta' => '5',
      'css_classes' => 'left-nav left-nav-level-2',
    ),
    'menu_block:6' => array(
      'module' => 'menu_block',
      'delta' => '6',
      'css_classes' => 'left-nav left-nav-level-1',
    ),
  );
}

/**
 * Implements hook_ctools_plugin_api().
 */
function popsu_structure_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "boxes" && $api == "box") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  list($module, $api) = func_get_args();
  if ($module == "panels" && $api == "layouts") {
    return array("version" => "1");
  }
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}
